import request from '@/utils/request'

// 查询分期历史明细列表
export function listInstallmentDetail(query) {
  return request({
    url: '/invest/installmentDetail/list',
    method: 'get',
    params: query
  })
}

// 查询分期历史明细详细
export function getInstallmentDetail(id) {
  return request({
    url: '/invest/installmentDetail/' + id,
    method: 'get'
  })
}

// 新增分期历史明细
export function addInstallmentDetail(data) {
  return request({
    url: '/invest/installmentDetail',
    method: 'post',
    data
  })
}

// 修改分期历史明细
export function updateInstallmentDetail(data) {
  return request({
    url: '/invest/installmentDetail',
    method: 'put',
    data
  })
}

// 删除分期历史明细
export function delInstallmentDetail(id) {
  return request({
    url: '/invest/installmentDetail/' + id,
    method: 'delete'
  })
}
